aboutsummaryrefslogtreecommitdiff
path: root/robot/leitner-run.sh
diff options
context:
space:
mode:
authorPhillip Lord <phillip.lord@russet.org.uk>2019-06-17 23:11:59 +0100
committerPhillip Lord <phillip.lord@russet.org.uk>2019-06-17 23:11:59 +0100
commit02b507b839205982f36e3b0ee455168ecda8cb51 (patch)
tree5ff8250a67cdcef7318f86b291a0a698f44f7ec1 /robot/leitner-run.sh
parent01842209269e290676e38b764d23b408850cb747 (diff)
downloadorg-drill-02b507b839205982f36e3b0ee455168ecda8cb51.tar.gz
org-drill-02b507b839205982f36e3b0ee455168ecda8cb51.zip
Add leitner robot test and fix
Diffstat (limited to 'robot/leitner-run.sh')
-rwxr-xr-xrobot/leitner-run.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/robot/leitner-run.sh b/robot/leitner-run.sh
new file mode 100755
index 0000000..7c76291
--- /dev/null
+++ b/robot/leitner-run.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+function run_drill {
+ ## Org-drill should be running at this point, so give three answers
+ ## with a score of file
+ sleep_big
+
+ echo answer one
+ send_answer
+
+ echo answer two
+ send_answer
+
+ echo answer three
+ send_answer
+}
+
+this_dir="$(dirname "$0")"
+source $this_dir/robot.sh
+
+##small_sleep=3
+
+launch_emacs $this_dir/leitner-run.el
+
+{
+ sleep 2
+ find_bot
+
+ ## Run once with default options
+ run_drill
+
+ wait_emacs
+} || cat robot/failure.txt